POST Update space object rotation
POST /spaces/{roomId}/objects/{objectId}/updateRotation: Update space object rotation. Required scopes: space:write
Are you an LLM? You can read better optimized documentation at /docs/api/endpoints/spaces/post-spaces-roomId-objects-objectId-updateRotation.md for this page in Markdown format
POST
Try it out https://api.rooom.com/spaces/{roomId}/objects/{objectId}/updateRotationScopes
space:writeParameters
Path Parameters
| Name | Type | Description |
|---|---|---|
roomIdrequiredExample: _roomId_ | string | Room identifier. |
objectIdrequired | string | Object identifier. |
Body
multipart/form-data| Name | Type | Description |
|---|---|---|
x | number | X-rotation |
y | number | Y-rotation |
z | number | Z-rotation |
Responses
200Updated rotation
401Missing scope or not the space owner
404Space or space object not found
POST /spaces/{roomId}/objects/{objectId}/updateRotation Update space object rotation Required scopes: space:write roomId Room identifier. objectId Object identifier. x X-rotation y Y-rotation z Z-rotation